/***************************************************************************/
/*Name:          SCENT: Settings                                           */
/*Location:      Undefined                                                 */
/*Author:        Justin A. Strauss                                         */
/*Organization:  Kaiser Permanente Southern California                     */
/*Purpose:       Assign library references and global variables            */
/*Date:          04/04/2012                                                */
/*Modified:                                                                */
/***************************************************************************/

/*define data locations*/
%let datalibRec=%str(&dataRoot\received);
%let datalibRaw=%str(&dataRoot\raw);
%let datalibPreproc=%str(&dataRoot\preprocessed);
%let datalibTokenized=%str(&dataRoot\tokenized);
%let datalibMatched=%str(&dataRoot\matched);
%let datalibCoded=%str(&dataRoot\coded);
/*end definitions*/

/*define library references*/
libname received "&datalibRec";
libname raw "&datalibRaw";
libname preproc "&datalibPreproc";
libname token "&datalibTokenized";
libname match "&datalibMatched";
libname coded "&datalibCoded";
/*end definitions*/

/*define data references*/
%let dataRaw=%str(caw.&fnameRoot._raw);
%let dataPreproc=%str(preproc.&fnameRoot._preproc);
%let dataTokenized=%str(token.&fnameRoot._tokenized);
%let dataTokenMatches=%str(match.&fnameRoot._tokenmatches);
%let dataConceptMatches=%str(match.&fnameRoot._conceptmatches);
%let dataNegationMatches=%str(match.&fnameRoot._negationmatches);
%let dataCoded=%str(coded.&fnameRoot._coded);
/*end definitions*/

/*define variable names*/
%let textRaw=%str(&textRoot._raw);
%let textPreproc=%str(&textRoot._preproc);
%let textCoded=%str(&textRoot._coded);
/*end definitions*/
