/***************************************************************************/
/*Name:          SCENT: Settings                                           */
/*Location:      Undefined                                                 */
/*Author:        Justin A. Strauss                                         */
/*Organization:  Kaiser Permanente Southern California                     */
/*Purpose:       Assign library references and global variables            */
/*Date:          04/04/2012                                                */
/*Modified:                                                                */
/***************************************************************************/

/*define scent locations*/
%let macrosRoot=%str(S:\Research Projects\CRN\Justin);
%let scentRoot=%str(F:\SCENT);
%let scentDict=%str(&scentRoot\libraries\dictionary);
%let scentPreproc=%str(&scentRoot\libraries\preprocessor);
%let scentCoder=%str(&scentRoot\libraries\coder);

/*define library references*/
libname _scent "&scentRoot";
libname _dict "&scentDict";
libname _preproc "&scentPreproc";
libname _coder "&scentCoder";

/*define data references*/
%let dataDict=%str(_dict.conceptDictionary);

/*reference macro library, if not previously done*/
%sysfunc(ifc(%sysfunc(libref(macros)),libname macros "&macrosRoot",));
options mstored sasmstore=macros;

%include "&scentDict\Source\createDictionary.sas";
%include "&scentPreproc\Source\preprocessText.sas";
%include "&scentCoder\Source\matchTokens.sas";
%include "&scentCoder\Source\matchConcepts.sas";
%include "&scentCoder\Source\matchNegation.sas";